Bug 301471 - "Change several bugs at once" doesn't.
"Change several bugs at once" doesn't.
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Query/Bug List (Show other bugs)
2.18
All Linux
high Severity high (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-21 19:52 EDT by Don Howard
Modified: 2013-06-23 22:45 EDT (History)
0 users

See Also:
Fixed In Version: 2.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-26 15:35:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Don Howard 2007-09-21 19:52:30 EDT
If I attempt to use the "change several bugs at once" feature to update status
and or assignee fields, bugzilla thinks that I've not changed anything.

This feature only seems to work if a comment is provided.
Comment 1 Noura El hawary 2007-09-22 09:22:59 EDT
Hi Don,

Some changes to several bugs require an explanation that you have to include in
a comment box for the change to occur. And you can see that written in the
"change several bugs at once" page as the following:
 
To change multiple bugs:

   1. Check the bugs you want to change above.
   2. Make your changes in the form fields below. If the change you are making
requires an explanation, include it in the comments box.
   3. Click the Commit button.


So the feature works fine, I think we need to maybe change the error message
that you get saying that no bugs were changed to tell you that you need to
include a comment to make the change happen. I think it is a bit confusing how
it is now.

Thanks,
Noura
Comment 2 David Lawrence 2007-09-23 11:58:53 EDT
This is a known issue with the multi bug change interface. There is a bug in the
process_bug.cgi code when dealing with multiple bugs where certain actions do
not register as a change being made and you get the error message. A workaround
until a fix is found is to simply add a comment stating your change a long with
the assignment changes, etc. wyou were trying to make, and it will process
correctly.

Sorry for the inconvenience.
Comment 3 David Lawrence 2007-09-26 15:35:14 EDT
This should now be fixed in the latest updated as of today. Please reopen this
bug if this is still broken.

Dave

Note You need to log in before you can comment on or make changes to this bug.